procedure versions;
begin
if ((paramstr(1) = '-v') OR (paramstr(1) = '/v') OR (paramstr(1) = '--version')) then
begin
 writeln('');
 writeln('(* ************************************************************ *)');
 writeln('(* Copyright (c) 1999-2000 Jon Gentle, All right reserved.      *)');
 writeln('(* ************************************************************ *)');
 writeln('(* This software is given As-Is.  No warranties of any kind,    *)');
 writeln('(* implied or expressed, are given to anyone.  The author(s)    *)');
 writeln('(* shall not be held for any liability under any circumstances. *)');
 writeln('(* Permission is granted to anyone who wishes to alter, use or  *)');
 writeln('(* distribute this software, as long as the following           *)');
 writeln('(* restrictions are met:                                        *)');
 writeln('(*                                                              *)');
 writeln('(* 1) The above copyright and this notice must appear in the    *)');
 writeln('(* software, both in binary and source code form.  Under no     *)');
 writeln('(* circumstance are these to be removed.                        *)');
 writeln('(* 2) Anyone other then the copyright owner that alters source  *)');
 writeln('(* code must mark the source code as altered.                   *)');
 writeln('(* 3) All altered source code must be released for easy acsess. *)');
 writeln('(* 4) Original authorship of part or whole must not be          *)');
 writeln('(* misrepresented.                                              *)');
 writeln('(* ************************************************************ *)');
 writeln('');
 writeln('The current Draak you are running is build');
 writeln('number ', build,'.  Thank you for using Draak.');
 halt(0);
end;
if ((paramstr(1) = '-h') OR (paramstr(1) = '/?') OR (paramstr(1) = '--help')) then
begin
 writeln('');
 writeln('Draak: The compiler macro pre-processor using imfamous def files.');
 writeln('(* ************************************************************ *)');
 writeln('(* Copyright (c) 1999-2000 Jon Gentle, All right reserved.      *)');
 writeln('(* ************************************************************ *)');
 writeln('type ''draak -v'' for copyright information');
 writeln('');
 writeln('Draak Syntax: draak (infile) [outfile]');
 writeln('  infile: File that you are compiling.  Must be present.');
 writeln('  outfile: File asm is outputted to.  If no file present, stdout will be used');
 halt(0);
end;
if (paramstr(3) = '-vd') then verbose := 1;
if (paramstr(3) = '-vc') then verbose := 2;
end;